# PhasicFlow: pFlow::sphTriInteraction Namespace Reference

pFlow::sphTriInteraction Namespace Reference

## Classes

struct | pLine
struct | triWall

## Functions

INLINE_FUNCTION_HD bool | pointInPlane (const realx3 &p1, const realx3 &p2, const realx3 &p3, const realx3 &p)
INLINE_FUNCTION_HD void | cramerRule2 (real A[2][2], real B[2], real &x1, real &x2)
INLINE_FUNCTION_HD bool | pointInPlane (const realx3 &p1, const realx3 &p2, const realx3 &p3, const realx3 &p, int32 &Ln)
INLINE_FUNCTION_HD bool | isSphereInContactActiveSide (const realx3 &p1, const realx3 &p2, const realx3 &p3, const realx3 &cntr, real rad, real &ovrlp, realx3 &norm, realx3 &cp)
INLINE_FUNCTION_HD bool | isSphereInContactBothSides (const realx3x3 &tri, const realx3 &cntr, real Rad, real &ovrlp, realx3 &norm, realx3 &cp)

## Function Documentation

## pointInPlane() [1/2]

INLINE_FUNCTION_HD bool pFlow::sphTriInteraction::pointInPlane | ( | const realx3 & | p1,
|  | const realx3 & | p2,
|  | const realx3 & | p3,
|  | const realx3 & | p
| ) |  |

Definition at line 32 of file sphereTriSurfaceContact.hpp.

References dot().

Referenced by isSphereInContactActiveSide(), and isSphereInContactBothSides().

Here is the call graph for this function:
Here is the caller graph for this function:

## cramerRule2()

INLINE_FUNCTION_HD void pFlow::sphTriInteraction::cramerRule2 | ( | real | A[2][2],
|  | real | B[2],
|  | real & | x1,
|  | real & | x2
| ) |  |

Definition at line 62 of file sphereTriSurfaceContact.hpp.

Referenced by pointInPlane().

Here is the caller graph for this function:

## pointInPlane() [2/2]

INLINE_FUNCTION_HD bool pFlow::sphTriInteraction::pointInPlane | ( | const realx3 & | p1,
|  | const realx3 & | p2,
|  | const realx3 & | p3,
|  | const realx3 & | p,
|  | int32 & | Ln
| ) |  |

Definition at line 70 of file sphereTriSurfaceContact.hpp.

References cramerRule2(), and dot().

Here is the call graph for this function:

## isSphereInContactActiveSide()

INLINE_FUNCTION_HD bool pFlow::sphTriInteraction::isSphereInContactActiveSide | ( | const realx3 & | p1,
|  | const realx3 & | p2,
|  | const realx3 & | p3,
|  | const realx3 & | cntr,
|  | real | rad,
|  | real & | ovrlp,
|  | realx3 & | norm,
|  | realx3 & | cp
| ) |  |

Definition at line 117 of file sphereTriSurfaceContact.hpp.

References triWall::n_, triWall::nearestPointOnWall(), triWall::normalDistFromWall(), and pointInPlane().

Here is the call graph for this function:

## isSphereInContactBothSides()

INLINE_FUNCTION_HD bool pFlow::sphTriInteraction::isSphereInContactBothSides | ( | const realx3x3 & | tri,
|  | const realx3 & | cntr,
|  | real | Rad,
|  | real & | ovrlp,
|  | realx3 & | norm,
|  | realx3 & | cp
| ) |  |

Definition at line 172 of file sphereTriSurfaceContact.hpp.

References pFlow::abs(), pLine::lineSphereCheck(), triWall::n_, triWall::nearestPointOnWall(), triWall::normalDistFromWall(), pointInPlane(), triple< T >::x_, triple< T >::y_, and triple< T >::z_.

Referenced by pwInteractionFunctor< ContactForceModel, ContactListType, TraingleAccessor, MotionModel >::operator()().

Here is the call graph for this function:
Here is the caller graph for this function: